## org.eclipse.emf.ecoretools.diagram.parsers
Class AbstractParser

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.parsers.AbstractParser

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.ui.services.parser.IParser

Direct Known Subclasses:
  MessageFormatParser

    public abstract class AbstractParser

extends java.lang.Object
implements org.eclipse.gmf.runtime.common.ui.services.parser.IParser

Nested Class Summary
`protected class` `AbstractParser.InvalidValue`

Field Summary
`protected org.eclipse.emf.ecore.EAttribute[]` `editableFeatures`
`protected org.eclipse.emf.ecore.EAttribute[]` `features`

Constructor Summary
`AbstractParser(org.eclipse.emf.ecore.EAttribute[] features)`
`AbstractParser(org.eclipse.emf.ecore.EAttribute[] features, org.eclipse.emf.ecore.EAttribute[] editableFeatures)`

Method Summary
`org.eclipse.jface.text.contentassist.IContentAssistProcessor` `getCompletionProcessor(org.eclipse.core.runtime.IAdaptable element)`
`protected java.lang.Object[]` `getEditableValues(org.eclipse.emf.ecore.EObject element)`
`java.lang.String` `getEditorPattern()`
`java.lang.String` `getEditPattern()`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getModificationCommand(org.eclipse.emf.ecore.EObject element, org.eclipse.emf.ecore.EAttribute feature, java.lang.Object value)`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getParseCommand(org.eclipse.core.runtime.IAdaptable adapter, java.lang.Object[] values, int flags)`
`protected java.lang.Object` `getValidNewValue(org.eclipse.emf.ecore.EAttribute feature, java.lang.Object value)`
`protected java.lang.Object` `getValue(org.eclipse.emf.ecore.EObject element, org.eclipse.emf.ecore.EAttribute feature)`
`protected java.lang.Object[]` `getValues(org.eclipse.emf.ecore.EObject element)`
`java.lang.String` `getViewPattern()`
`boolean` `isAffectingEvent(java.lang.Object event, int flags)`
`protected boolean` `isAffectingFeature(java.lang.Object feature)`
`void` `setEditorPattern(java.lang.String editorPattern)`
`void` `setEditPattern(java.lang.String editPattern)`
`void` `setViewPattern(java.lang.String viewPattern)`
`protected org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus` `validateNewValues(java.lang.Object[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.parser.IParser
`getEditString, getParseCommand, getPrintString, isValidEditString`

Field Detail

### features

    protected final org.eclipse.emf.ecore.EAttribute[] features

### editableFeatures

    protected final org.eclipse.emf.ecore.EAttribute[] editableFeatures

Constructor Detail

### AbstractParser

    public AbstractParser(org.eclipse.emf.ecore.EAttribute[] features)

### AbstractParser

    public AbstractParser(org.eclipse.emf.ecore.EAttribute[] features,
                          org.eclipse.emf.ecore.EAttribute[] editableFeatures)

Method Detail

### getViewPattern

    public java.lang.String getViewPattern()

### setViewPattern

    public void setViewPattern(java.lang.String viewPattern)

### getEditorPattern

    public java.lang.String getEditorPattern()

### setEditorPattern

    public void setEditorPattern(java.lang.String editorPattern)

### getEditPattern

    public java.lang.String getEditPattern()

### setEditPattern

    public void setEditPattern(java.lang.String editPattern)

### isAffectingEvent

    public boolean isAffectingEvent(java.lang.Object event,
                                    int flags)

  Specified by:
    `isAffectingEvent` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### isAffectingFeature

    protected boolean isAffectingFeature(java.lang.Object feature)

### getCompletionProcessor

    public org.eclipse.jface.text.contentassist.IContentAssistProcessor getCompletionProcessor(org.eclipse.core.runtime.IAdaptable element)

  Specified by:
    `getCompletionProcessor` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### getValues

    protected java.lang.Object[] getValues(org.eclipse.emf.ecore.EObject element)

### getEditableValues

    protected java.lang.Object[] getEditableValues(org.eclipse.emf.ecore.EObject element)

### getValue

    protected java.lang.Object getValue(org.eclipse.emf.ecore.EObject element,
                                        org.eclipse.emf.ecore.EAttribute feature)

### getParseCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getParseCommand(org.eclipse.core.runtime.IAdaptable adapter,
                                                                                   java.lang.Object[] values,
                                                                                   int flags)

### getModificationCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getModificationCommand(org.eclipse.emf.ecore.EObject element,
                                                                                          org.eclipse.emf.ecore.EAttribute feature,
                                                                                          java.lang.Object value)

### validateNewValues

    protected org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus validateNewValues(java.lang.Object[] values)

### getValidNewValue

    protected java.lang.Object getValidNewValue(org.eclipse.emf.ecore.EAttribute feature,
                                                java.lang.Object value)

Copyright 2007 Anyware Technologies. All Rights Reserved.